Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

GET /v1/payment_method_domains

List payment method domains

Lists the details of existing payment method domains.

Request parameters

ParameterLocationTypeDescription
domain_namequerystringThe domain name that this payment method domain object represents.
enabledquerybooleanWhether this payment method domain is enabled. If the domain is not enabled, payment methods will not appear in Elements or Embedded Checkout
ending_beforequerystringA cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.
expandqueryarray of stringSpecifies which fields in the response should be expanded.
limitqueryintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterquerystringA cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
data requiredarray of payment_method_domain
has_more requiredbooleanTrue if this list has another page of items after this one that can be fetched.
object requiredstringString representing the object's type. Objects of the same type share the same value. Always has the value `list`.
url requiredstringThe URL where this list can be accessed.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/payment_method_domains

Create a payment method domain

Creates a payment method domain.

Request parameters

FieldTypeDescription
domain_name requiredstringThe domain name that this payment method domain object represents.
enabledbooleanWhether this payment method domain is enabled. If the domain is not enabled, payment methods that require a payment method domain will not appear in Elements or Embedded Checkout.
expandarray of stringSpecifies which fields in the response should be expanded.

Responses

HTTP 200: Successful response.
FieldTypeDescription
amazon_pay requiredpayment_method_domain_resource_payment_method_status
apple_pay requiredpayment_method_domain_resource_payment_method_status
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
domain_name requiredstringThe domain name that this payment method domain object represents.
enabled requiredbooleanWhether this payment method domain is enabled. If the domain is not enabled, payment methods that require a payment method domain will not appear in Elements.
google_pay requiredpayment_method_domain_resource_payment_method_status
id requiredstringUnique identifier for the object.
klarna requiredpayment_method_domain_resource_payment_method_status
link requiredpayment_method_domain_resource_payment_method_status
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
paypal requiredpayment_method_domain_resource_payment_method_status
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/payment_method_domains/{payment_method_domain}

Retrieve a payment method domain

Retrieves the details of an existing payment method domain.

Request parameters

ParameterLocationTypeDescription
expandqueryarray of stringSpecifies which fields in the response should be expanded.
payment_method_domainpathstring

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
amazon_pay requiredpayment_method_domain_resource_payment_method_status
apple_pay requiredpayment_method_domain_resource_payment_method_status
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
domain_name requiredstringThe domain name that this payment method domain object represents.
enabled requiredbooleanWhether this payment method domain is enabled. If the domain is not enabled, payment methods that require a payment method domain will not appear in Elements.
google_pay requiredpayment_method_domain_resource_payment_method_status
id requiredstringUnique identifier for the object.
klarna requiredpayment_method_domain_resource_payment_method_status
link requiredpayment_method_domain_resource_payment_method_status
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
paypal requiredpayment_method_domain_resource_payment_method_status
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/payment_method_domains/{payment_method_domain}

Update a payment method domain

Updates an existing payment method domain.

Request parameters

ParameterLocationTypeDescription
payment_method_domainpathstring
FieldTypeDescription
enabledbooleanWhether this payment method domain is enabled. If the domain is not enabled, payment methods that require a payment method domain will not appear in Elements or Embedded Checkout.
expandarray of stringSpecifies which fields in the response should be expanded.

Responses

HTTP 200: Successful response.
FieldTypeDescription
amazon_pay requiredpayment_method_domain_resource_payment_method_status
apple_pay requiredpayment_method_domain_resource_payment_method_status
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
domain_name requiredstringThe domain name that this payment method domain object represents.
enabled requiredbooleanWhether this payment method domain is enabled. If the domain is not enabled, payment methods that require a payment method domain will not appear in Elements.
google_pay requiredpayment_method_domain_resource_payment_method_status
id requiredstringUnique identifier for the object.
klarna requiredpayment_method_domain_resource_payment_method_status
link requiredpayment_method_domain_resource_payment_method_status
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
paypal requiredpayment_method_domain_resource_payment_method_status
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
POST /v1/payment_method_domains/{payment_method_domain}/validate

Validate an existing payment method domain

Some payment methods might require additional steps to register a domain. If the requirements weren’t satisfied when the domain was created, the payment method will be inactive on the domain. The payment method doesn’t appear in Elements or Embedded Checkout for this domain until it is active. To activate a payment method on an existing payment method domain, complete the required registration steps specific to the payment method, and then validate the payment method domain with this endpoint. Related guides: Payment method domains.

Request parameters

ParameterLocationTypeDescription
payment_method_domainpathstring
FieldTypeDescription
expandarray of stringSpecifies which fields in the response should be expanded.

Responses

HTTP 200: Successful response.
FieldTypeDescription
amazon_pay requiredpayment_method_domain_resource_payment_method_status
apple_pay requiredpayment_method_domain_resource_payment_method_status
created requiredintegerTime at which the object was created. Measured in seconds since the Unix epoch.
domain_name requiredstringThe domain name that this payment method domain object represents.
enabled requiredbooleanWhether this payment method domain is enabled. If the domain is not enabled, payment methods that require a payment method domain will not appear in Elements.
google_pay requiredpayment_method_domain_resource_payment_method_status
id requiredstringUnique identifier for the object.
klarna requiredpayment_method_domain_resource_payment_method_status
link requiredpayment_method_domain_resource_payment_method_status
livemode requiredbooleanIf the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.
object requiredstringString representing the object's type. Objects of the same type share the same value.
paypal requiredpayment_method_domain_resource_payment_method_status
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors